/// <reference types="node" />
import path from 'path';
import type { Artifact, Replacements, Rules } from '@linaria/utils';
import type { Options } from '../types';
export declare function transformUrl(url: string, outputFilename: string, sourceFilename: string, platformPath?: typeof path): string;
/**
 * Extract artifacts (e.g. CSS) from processors
 */
export default function extractStage(processors: {
    artifacts: Artifact[];
}[], originalCode: string, options: Pick<Options, 'preprocessor' | 'filename' | 'outputFilename'>): {
    replacements: Replacements;
    cssText: string;
    rules: Rules;
    cssSourceMapText: string;
};
